Gives information about a hand detected within a frame from a Leap Motion device.

   - `id` - A unique ID for this hand. 
   - `transform` - Transforms a forward-facing object so it is at the center of the palm, facing toward the fingers, scaled to the width of the palm.
   - `palmNormal` - Transforms a forward-facing object so it is at the center of the palm, facing outward from (perpendicular to) the front surface of the palm, scaled to the width of the palm.
   - `stabilizedPalmPosition` - Transforms a forward-facing object so it is at the smoothed and stabilized center of the palm, facing outward from (perpendicular to) the front surface of the palm, scaled to the width of the palm.
   - `palmVelocity` - The rate of change of `palmPosition`, in Vuo coordinates per second.
   - `wristPosition` — The center position of the wrist, in Vuo Coordinates.
   - `sphereRadius` - The radius of a ball that could be held by this hand, in Vuo coordinates.
   - `sphereCenter` - The center of a ball that could be held by this hand, in Vuo coordinates.
   - `pinchAmount` — The degree to which the hand is performing a pinch pose, ranging from 1 (complete pinch) to 0 (no pinch). A pinch pose is when the thumb and the closest fingertip are brought together.
   - `grabAmount` — The degree to which the hand is performing a grab pose, ranging from 1 (complete grab) to 0 (no grab). A grab pose is when the hand closes into a fist.
   - `isLeftHand` - True if this is a left hand, false if it's a right hand.
   - `timeVisible` — The time since this pointable was detected by Leap Motion, in seconds.
   - `confidence` — The level of confidence that the hand and fingers have been correctly interpreted by Leap Motion, ranging from 1 (most confident) to 0 (not confident at all).
   - `pointables` - The fingers attached to this hand, listed in arbitrary order. The list always contains five fingers, even if fewer are detected by Leap Motion.

`sphereRadius` and `sphereCenter` are based on a sphere calculated to fit the curvature of the palm and finger. It approximates the largest ball that the hand could hold in its current position.
