Scales a value so that it's always within the specified range.

This node keeps track of the minimum and maximum values it receives over time.  Then it looks at the current value relative to its minimum and maximum, and scales it to be between `fittedMin` and `fittedMax`.

This node is useful if you have a data source with uncertain values (such as audio loudness) and you want to constrain it.

   - `tracking` — The sensitivity to outliers when updating the tracked range.  This port controls how `min` and `max` change when the current `value` is less than `min` or greater than `max`.
      - 1 — `min` or `max` changes to the current `value`.
      - Between 1 and 0 — `min` or `max` changes to a number between its old amount and the current `value`.
      - 0 — `min` or `max` don't change.  This is useful if `tracking` has first been set to greater than 0, then given some time to calibrate before setting it to 0
   - `reset` — Changes `min` and `max` to the current `value`.
   - `fittedValue` — The scaled `value`.  It always falls between `fittedMin` and `fittedMax`.
   - `min` and `max` — The size of the tracked range.  How closely this range matches the actual input values depends on `tracking`.
