Chooses a single active MIDI note based on a note priority rule.

First, this node filters MIDI events by channel and note range.  Then, for the notes it accepts, if a note is already on and another note is turned on (without turning off the first note), the new note either replaces the old note or the new note is ignored, depending on the specified note priority.

   - `note` — A MIDI note event from the `Receive MIDI Events` node. Events to this port are blocked unless they cause the active note to change.
   - `channel` — Which channel to accept.
   - `noteNumberMin`, `noteNumberMax` — Which note numbers to accept. For all possible note numbers, use 0 to 127.
   - `notePriority` — The rule for determining which note is output when multiple notes are simultaneously active:
      - first — Output the first note pressed; subsequent notes are ignored until the first note is released.
      - last — Output the last note pressed.
      - lowest — Output the lowest-pitched note currently pressed.
      - highest — Output the highest-pitched note currently pressed.
   - `turnOffNote` — Marks the note as inactive, making the output velocity 0. Events to this port are blocked if no note is currently active.
   - `noteNumber` — The currently-active note number (pitch), if any.
   - `velocity` — The currently-active note velocity, or 0 if no note is active.
